edu.northwestern.at.morphadorner.tools.tcp

## Class AddUnclear

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.tcp.AddUnclear

-     public class AddUnclear
      extends java.lang.Object

  AddUnclear adds type="unclear" attribute to tokens containing character gaps.

  Usage:

  >       java edu.northwestern.at.morphadorner.tools.tcp.AddUnclear outputdirectory input1.xml input2.xml ...

  where outputdirectory is the output directory containing the resultant XML files with type="unclear" attributes added to tokens containing character gaps and input*.xml are the input tokenized XML files. Character gaps are indicated by the presence of unicode character ? (the black circle) in a token.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jdom2.Namespace` | `teiNamespace` TEI name spaces.
    `protected static org.jdom2.Namespace` | `teiNamespace2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddUnclear()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addUnclear(java.lang.String[] args)` Add type="unclear" attribute to tokens containing gap characters.
    `static void` | `main(java.lang.String[] args)` Main program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### teiNamespace

          protected static org.jdom2.Namespace teiNamespace

      TEI name spaces.

    - #### teiNamespace2

          protected static org.jdom2.Namespace teiNamespace2

  - ### Constructor Detail

    - #### AddUnclear

          public AddUnclear()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.
      Parameters:
        `args` - Program arguments.

    - #### addUnclear

          public static void addUnclear(java.lang.String[] args)
                                 throws java.lang.Exception

      Add type="unclear" attribute to tokens containing gap characters.
      Parameters:
        `args` - Program arguments.
      Throws:
        `java.lang.Exception` - In case of error.